<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMPLANOptionViewBase from './emplanoption-view-base.vue';

import view_form from '@widgets/emplan/quick-create-form/quick-create-form.vue';

/**
 * 计划选项操作视图
 *
 * @export
 * @class EMPLANOptionView
 * @extends {EMPLANOptionViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMPLANOptionView extends EMPLANOptionViewBase { }
</script>